Unable to locate package python3-cepces

I’m trying to enroll Ubuntu 22.04.4 Pro Desktop for certificates from a Windows domain (ADCS).
Using this approach with certmonger and its cepces plugin.

I have a virtual machine installed from the official ISO in VirtualBox 7 for testing (and reverting snapshots).
I also tried the Hyper-V "Quick Create" image.

The problem is that apt is Unable to locate package python3-cepces.
Here is more info on the python3-cepces package.
It should be in the universe repository which I have enabled.

root@my-buntu-22:~# apt update
Hit:1 http://cz.archive.ubuntu.com/ubuntu jammy InRelease
Get:2 http://cz.archive.ubuntu.com/ubuntu jammy-updates InRelease [119 kB]
Hit:3 http://cz.archive.ubuntu.com/ubuntu jammy-backports InRelease
Get:4 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]
Get:5 http://cz.archive.ubuntu.com/ubuntu jammy-updates/main i386 Packages [624 kB]
Get:6 http://cz.archive.ubuntu.com/ubuntu jammy-updates/main amd64 Packages [1638 kB]
Get:7 http://cz.archive.ubuntu.com/ubuntu jammy-updates/universe i386 Packages [702 kB]
Get:8 http://cz.archive.ubuntu.com/ubuntu jammy-updates/universe amd64 Packages [1073 kB]
Fetched 4267 kB in 2s (2094 kB/s)                    
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
3 packages can be upgraded. Run 'apt list --upgradable' to see them.

root@my-buntu-22:~# sudo apt install certmonger python3-cepces
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package python3-cepces
Asked By: McLayn

||

python3-cepces is not available in the default Ubuntu 22.04 repositories. You can install the python3-cepces package from Ubuntu 24.04 in Ubuntu 22.04 by running the following commands:

cd ~/Downloads/
sudo apt install python3-requests python3-gssapi python3-cryptography
wget http://mirrors.kernel.org/ubuntu/pool/universe/p/python-requests-gssapi/python3-requests-gssapi_1.2.3-0ubuntu1_all.deb http://mirrors.kernel.org/ubuntu/pool/universe/p/python-cepces/python3-cepces_0.3.7-0ubuntu1_all.deb
sudo apt install ./python3-requests-gssapi_1.2.3-0ubuntu1_all.deb ./python3-cepces_0.3.7-0ubuntu1_all.deb
Answered By: karel